%{^
Botan = get(gco, 'tag');
set(uiButton,'enable','off');
iStepNum = 10;
for i=1:length(ui)
    set(ui(i), 'callback', '');
    set(ui(i), 'busyaction', 'cancel');
end


if (strcmp(Botan,''))
    th =zeros(1,length(arm));
    for i = 1:length(arm);
        diffStep(i) = (th(i) - arm(i).th) / iStepNum;
    end
    for i=1:iStepNum
        for index = 1: length(arm);
            arm(index).th = arm(index).th + diffStep(index);
        end
        %Đݒ聕`
        ind=vectest9findallchildren(arm); 
        arm=vectest9kinematics(arm,ind);
        plot1=vectest9plot_verK(arm,plot1);
        %XC_[o[
        for j=1:length(ui)
            idx=str2num(get(ui(j),'tag'));        
            set(ui(j),'Value',arm(idx).th);
        end
        drawnow;
    end
end
if (strcmp(Botan, '킳킳'))
        for i=0:pi/8:4*pi
            thd=pi/4;
            for j=16:12:length(arm)-16
                k=(j-16)/12*thd;
                arm(j).th = pi/4*sin(i+k);
            end
            for j=21:12:length(arm)-11
                k=(j-16)/12*thd;
                arm(j).th = -pi/4*sin(i+k);
            end
            ind=vectest9findallchildren(arm);
            arm=vectest9kinematics(arm,ind);
            plot1=vectest9plot_verK(arm,plot1);
            for j=1:length(ui)
                idx=str2num(get(ui(j),'tag'));
                set(ui(j),'Value',arm(idx).th);
            end
            vectest9sub;
            drawnow;
            clc
        end
end

if (strcmp(Botan, '˂' ))
    th =zeros(1,length(arm));
    tht=pi*1/8;
    tht1=pi*1/5;
    
    ani1(1)=tht1;
    ani1(2)=tht1*cos(pi*2/11);
    ani1(3)=tht1*cos(pi*4/11);
    ani1(4)=tht1*cos(pi*6/11);
    ani1(5)=tht1*cos(pi*8/11);
    ani1(6)=tht1*cos(pi*10/11);
    ani1(7)=tht1*cos(pi*12/11);
    ani1(8)=tht1*cos(pi*14/11);
    ani1(9)=tht1*cos(pi*16/11);
    ani1(10)=tht1*cos(pi*18/11);
    ani1(11)=tht1*cos(pi*20/11);
    ani1(12)=tht1*cos(pi*22/11);
    
    ani(1)=-tht/4;
    ani(2)=-tht/2;
    ani(3)=-tht;
    ani(4)=-tht;
    ani(5)=-tht/2;
    ani(6)=-tht/4;
    ani(7)=tht/4;
    ani(8)=tht/2;
    ani(9)=tht;
    ani(10)=tht;
    ani(11)=tht/2;
    ani(12)=tht/4;
    for k=1:1:2
        for j=1:1:12
            arm(1).th=ani1(j);
            arm(12).th=arm(1).th;
            for i=24:12:length(arm)-20
                n=i/12-2;
                arm(i).th=ani(rem(j+n,12)+1);
            end
            ind=vectest9findallchildren(arm);
            arm=vectest9kinematics(arm,ind);
            plot1=vectest9plot_verK(arm,plot1);
            for i=1:length(ui)
                idx=str2num(get(ui(i),'tag'));
                set(ui(i),'Value',arm(idx).th);
            end
            vectest9sub;
            drawnow
            clc
        end
    end
end

if (strcmp(Botan, 'sRsR'))
    for j=0:pi/2:2*pi
        ante=abs(pi/12*sin(j));
        arm(4).th=ante;
        arm(9).th=-ante;
        
        ind=vectest9findallchildren(arm);
        arm=vectest9kinematics(arm,ind);
        plot1=vectest9plot_verK(arm,plot1);
        for i=1:length(ui)
            idx=str2num(get(ui(i),'tag'));
            set(ui(i),'Value',arm(idx).th);
        end
        vectest9sub;
        drawnow
    end
end
    
%`I
for i=1:length(ui)
    set(ui(i), 'callback', 'vectest9sub');
end
set(uiButton,'enable','on');
